' declare objects & vars
Dim objHttp, objLogFile, objFailedLogin, objFSCommands, objEmail 
Dim vRaw, vPostData, vEmailRecipient, vLoginSuccess, vDate, vMonth
Dim vDay, vYear, vMinute, vHour, strDate, lTurnEmailOn, nRequestInterval

' set this to 1 if you want to turn on email capabilities (script will email upon failures)
lTurnEmailOn = 0

' set Time Interval between http requests in milliseconds (1000ms = 1 sec)
nRequestInterval = 20000

' define vars 
vEmailRecipient = "yourname@yourdomain.com"
vPostData = "username=your_username&password=your_password"

' create File System Object to create log file
set objFSCommands = CreateObject("Scripting.FileSystemObject") 
set objLogFile = objFSCommands.CreateTextFile("c:\sandbox\http_request.txt", True)

Do While 0 < 1

' assign var for date and time
vDate = now()
' set var for nArchiveInterval days ago
vOldDate = vDate - nArchiveInterval
' set date var for use in filenames
vMonth = DatePart("m", vDate)
vDay = DatePart("d", vDate)
vYear = DatePart("yyyy", vDate)
vHour = DatePart("H", vDate)
vMinute = DatePart("N", vDate)
vSecond = DatePart("S", vDate)
' add preceding zeros for filename consistency
if vDay < 10 then 
	vDay = "0" & vDay
end if 	
if vMonth < 10 then 
	vMonth = "0" & vMonth
end if
if vHour < 10 then 
	vHour = "0" & vHour
end if
if vMinute < 10 then 
	vMinute = "0" & vMinute
end if
if vSecond < 10 then 
	vMSecond = "0" & vSecond
end if

' assign value to var
strDate = vMonth & vDay & vYear & vHour & vMinute


' create xmlHttp object and make http request
Set objHttp = CreateObject("Microsoft.XmlHttp")
objHttp.open "POST", "http://www.yourtargetpage.com/page.asp", FALSE
objHttp.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"
objHttp.send vPostData

' assign http response to var.
vRaw = objHttp.responseText

' check for string containing login name in http response and assign result to var.  
' function returns 0 if no match (unsuccessful login)
vLoginSuccess = InStr(1, vRaw, "TEST TEST", 1)

If vLoginSuccess <> 0 then
	' write to log file
	objLogFile.Writeline("Successful Login: " & vDate)	
else
	' write to log file
	objLogFile.Writeline("***UnSuccessful Login: " & vDate)

	' send email if option is turned on
	if lTurnEmailOn = 1 then 
		' create CDO object for email
		Set objEmail = CreateObject("CDO.Message") 
		objEmail.Subject = "Login Failure" 
		objEmail.From = "email@yourdomain.com" 
		objEmail.To = vEmailRecipient 
		objEmail.TextBody = "Unsuccessful login for PUT YOUR WEBSITE HERE.  Occurred at " & vDate
		'==This section provides the configuration information for the remote SMTP server.
		'==Normally you will only change the server name or IP.
		objEmail.Configuration.Fields.Item _
		("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2 
		
		'Name or IP of Remote SMTP Server
		objEmail.Configuration.Fields.Item _
		("http://schemas.microsoft.com/cdo/configuration/smtpserver") = "smtpserver.yourdomain.com"
		
		'Server port (typically 25)
		objEmail.Configuration.Fields.Item _
		("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = 25 
		
		objEmail.Configuration.Fields.Update
		
		'==End remote SMTP server configuration section==
		' send the message
		objEmail.Send
	end if 
	
	' write http response to .html file to see any possible error messages
	set objFailedLogin = objFSCommands.CreateTextFile("c:\sandbox\login_failure" & strDate & ".html", True)
	objFailedLogin.Write(vRaw)
end if 

' wait here for interval specified above
wscript.sleep nRequestInterval
loop

' destroy objects
set objEmail = nothing
set objFSCommands=nothing
set objHttp=nothing
set objFailedLogin=nothing
set objLogFile =nothing


